KBDMAP(1)

NAME
kbdmap, vidfont - front end for syscons

SYNOPSIS
kbdmap [-K] [-V] [-d | -default] [-h | -help] [-l | -lang language] [-p | -print] [-r | -restore] [-s | -show] [-v | -verbose]

DESCRIPTION
The kbdmap utility allows easy setting of available keymaps. The vidfont command allows the setting of fonts. Both examine a database for the keymaps and fonts. Descriptions are in English by default, but may also be in other languages. These programs are interactive and expect to run in a terminal to get required input (e.g., a keymap selection) from the user.

It is strongly recommended to not choose MSDOS codepage keymaps or fonts. Use the ISO standard version if available! X11 does not support MSDOS codepage.

The following options are available:

-K  Run as command kbdmap.

-V  Run as command vidfont.

-d, -default
    Use default language. Ignore LANG environment variable.

-h, -help
    Print options and exit.

-l, -lang language
    Use language for description and menu.

-p, -print
    Print description of available keymaps or fonts to stdout and exit.

-r, -restore
    Load default font from /etc/rc.conf.

-s, -show
    Show currently supported languages and exit.

-v, -verbose
    More warnings.

ENVIRONMENT
LANG
    preferred language

FILES
/usr/share/syscons/keymaps/INDEX.keymaps
    database for keymaps
/usr/share/syscons/fonts/INDEX.fonts
    database for fonts
/etc/rc.conf
    default font
/usr/local/share/locale/locale.alias
    describe common LANG values

SEE ALSO
dialog(1), kbdcontrol(1), vidcontrol(1), kbdmap(5), rc.conf(5)

HISTORY
The kbdmap and vidfont commands appeared in FreeBSD 2.1.

AUTHORS
-nosplit Wolfram Schneider <wosch@FreeBSD.org> wrote the original Perl version. The current version was rewritten in C by Jonathan Belson <jon@witchspace.com> for FreeBSD 5.0.

BUGS
The kbdmap and vidfont utilities work only on a (virtual) console and not with X11.